summaryrefslogtreecommitdiffstats
path: root/debian/tests
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 06:14:41 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-27 06:14:41 +0000
commite0c5d5bce70177b20afa2deee4c62e368a8b9c43 (patch)
treede36eff10a26ee736e19b557f531d03847487856 /debian/tests
parentAdding upstream version 2.2.4. (diff)
downloadapt-e0c5d5bce70177b20afa2deee4c62e368a8b9c43.tar.xz
apt-e0c5d5bce70177b20afa2deee4c62e368a8b9c43.zip
Adding debian version 2.2.4.debian/2.2.4debian
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/tests')
-rw-r--r--debian/tests/control10
-rw-r--r--debian/tests/pkg-config-test23
-rw-r--r--debian/tests/run-tests25
3 files changed, 58 insertions, 0 deletions
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..c6cc756
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,10 @@
+Tests: run-tests, pkg-config-test
+Restrictions: allow-stderr
+Depends: @, @builddeps@, dpkg, fakeroot, wget, stunnel4, lsof, db-util,
+ gnupg (>= 2) | gnupg2,
+ gnupg1 | gnupg (<< 2),
+ gpgv (>= 2) | gpgv2,
+ gpgv1 | gpgv (<< 2),
+ libfile-fcntllock-perl, python3-apt, aptitude,
+ pkg-config,
+ valgrind
diff --git a/debian/tests/pkg-config-test b/debian/tests/pkg-config-test
new file mode 100644
index 0000000..1e4ec14
--- /dev/null
+++ b/debian/tests/pkg-config-test
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+WORKDIR=$(mktemp -d)
+trap "rm -rf $WORKDIR" 0 INT QUIT ABRT PIPE TERM
+cd $WORKDIR
+cat <<EOF > pkgconfigtest.c
+#include <apt-pkg/init.h>
+#include <stdio.h>
+
+int main()
+{
+ printf("Apt Version: %s \n", pkgVersion);
+ return 0;
+}
+EOF
+
+g++ -o pkgconfigtest pkgconfigtest.c `pkg-config --cflags --libs apt-pkg`
+echo "build: OK"
+[ -x pkgconfigtest ]
+./pkgconfigtest
+echo "run: OK"
diff --git a/debian/tests/run-tests b/debian/tests/run-tests
new file mode 100644
index 0000000..495f7ed
--- /dev/null
+++ b/debian/tests/run-tests
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+set -e
+
+if [ ! -e build/CMakeCache.txt ]; then
+ mkdir build || true
+ ( cd build && cmake .. )
+fi
+
+make -C build/test/interactive-helper
+
+# run tests against the installed apt, use "env -i" to ensure
+# the host env does not pollute our environment
+env -i \
+APT_INTEGRATION_TESTS_SOURCE_DIR=$(pwd) \
+APT_INTEGRATION_TESTS_HELPERS_BIN_DIR=$(pwd)/build/test/interactive-helper \
+APT_INTEGRATION_TESTS_METHODS_DIR=/usr/lib/apt/methods \
+APT_INTEGRATION_TESTS_LIBEXEC_DIR=/usr/lib/apt/ \
+APT_INTEGRATION_TESTS_INTERNAL_SOLVER=/usr/lib/apt/solvers/apt \
+APT_INTEGRATION_TESTS_DUMP_SOLVER=/usr/lib/apt/solvers/dump \
+APT_INTEGRATION_TESTS_INTERNAL_PLANNER=/usr/lib/apt/planners/apt \
+APT_INTEGRATION_TESTS_BUILD_DIR=/usr/bin \
+APT_INTEGRATION_TESTS_FTPARCHIVE_BIN_DIR=/usr/bin \
+APT_INTEGRATION_TESTS_LIBRARY_PATH=/dev/null/does/not/exist \
+./test/integration/run-tests -q